Int_t calc(Float_t sigmaMult=3.0, Float_t incNoise=1.0){

  TF1* ga = new TF1("ga", "[0]*exp([1]*(x-[2])*(x-[2]))", -10, 10);
  ga->SetRange(-10.0, 10.0);
  ga->SetParameters( 1.0 / ((TMath::Sqrt(2. * TMath::Pi())) * incNoise),
                     -1.0 / (2. * incNoise * incNoise));

  Float_t noiseProb     = 0.5 -  ga->Integral(0.0, sigmaMult);
  Int_t nbNoisePadsBase = static_cast<Int_t>(TMath::Floor(4800 * noiseProb));

  cout<<" sigmaMult       = "<<sigmaMult<<endl;
  cout<<" incNoise        = "<<incNoise<<endl;
  cout<<" noiseProb       = "<<noiseProb<<endl;
  cout<<" nbNoisePadsBase = "<<nbNoisePadsBase<<endl;

  return nbNoisePadsBase;

}

void plotAll(){

   TH1F *hNoisePads[5];
   TString hname[5]  = {"noise0","noise1","noise2","noise3","noise4"};
   TString htitle[5] = {"","","","",""};
   Int_t col[5] = {1,2,4,8,6};
   Float_t sig[5] = {4.0,4.0,4.0,3.5,4.0};
   Float_t inc[5] = {1.0,1.3,1.5,1.3,1.2};

   for(Int_t i = 0; i<5;i++){
     hNoisePads[i]= new TH1F(hname[i],htitle[i],100,0,100);
   }

  Int_t nbNoisePads     = 0;
  Int_t nbNoisePadsBase = 0;

  for(Int_t i = 0; i<5; i++){
    
    nbNoisePadsBase = calc(sig[i],inc[i]);
    
    for(Int_t j = 0; j<100000;j++){
      nbNoisePads = gRandom->Poisson(nbNoisePadsBase);
      hNoisePads[i]->Fill(nbNoisePads);
    }

    hNoisePads[i]->SetLineWidth(3);
    hNoisePads[i]->SetLineColor(col[i]);

    if(i==0) hNoisePads[i]->Draw();
    else hNoisePads[i]->Draw("same");
  }
}
