compareCalPar(TString file1 = "richcalpar_v271_histos.root", TString file2 = "richcalpar_v265_histos.root"){

  TString dir = "/home/mweber/hades/digitizer/params/root/";

  TString inFile1 = dir;
  inFile1.Append(file1);
  TFile *f1 = TFile::Open(inFile1,"READ");

  TString inFile2 = dir;
  inFile2.Append(file2);
  TFile *f2 = TFile::Open(inFile2,"READ");

  TH2F *hm1[6];
  TH2F *hs1[6];
  TH2F *hm2[6];
  TH2F *hs2[6];

  TString sbase = "hsigma";
  TString mbase = "hmean";
  TString sname,mname;
  
  Float_t mean;
  Float_t sigma;
  Int_t count;

  for(Int_t i=0; i<6;i++){
    
    sname = sbase;
    sname += i;
    mname = mbase;
    mname += i;

    hm1[i] = (TH2F*)f1->Get(mname);
    hs1[i] = (TH2F*)f1->Get(sname);
    hm2[i] = (TH2F*)f2->Get(mname);
    hs2[i] = (TH2F*)f2->Get(sname);

    hm1[i]->Add(hm2[i],-1);
    hs1[i]->Add(hs2[i],-1);

    for(Int_t j=0; j<96;j++){
      for(Int_t k=0; k<96;k++){
	if(hm2[i]->GetBinContent(j+1,k+1)>0){
	  mean  += hm1[i]->GetBinContent(j+1,k+1);
	  sigma += hs1[i]->GetBinContent(j+1,k+1);
	  count++;
	}
      }
    }
  
    cout<<"sector " << i <<" : "<<mean/(Float_t)count<<"  "<<sigma/(Float_t)count<<endl;
    
  }
}
