{
  gROOT->Reset();

  //if you want to find noise in a file with one sector switched off (better method!)
Bool_t findInSwitchedOffSector = kTRUE;
  Int_t switchedOffSector = 3;
  //otherwise you take all events without a direct cluster or found ring
 
  if(findInSwitchedOffSector){
    cout<<"-------------------------------------------"<<endl;
    cout<<"TAKE ONLY DATA FROM SWITCHED OFF SECTOR "<<switchedOffSector<<endl;
    cout<<"-------------------------------------------"<<endl;
  }
  else{ 
    cout<<"-------------------------------------------"<<endl;
    cout<<"TAKE ONLY DATA FROM EVENTS "<<endl;
    cout<<"WITHOUT DIRCLUS OR RING "<<endl;
    cout<<"-------------------------------------------"<<endl;
  }

  TChain ch("T");

  //file 1
  //TFile* f = TFile::Open("/scratch/e12j/mjurkovic/gen3/be05277042007_dst.root");
  //file 2
  //TFile* f = TFile::Open("/scratch/e12i/hades/simul/richdigi/be05278083238_dst.root");
  //file 3
  TFile* f = TFile::Open("/scratch/e12i/hades/simul/richdigi/be05271083400_dst.root");

  HTree *T = (HTree*)gDirectory->Get("T");
  if(!T) {cout << "No tree in file!" << endl; continue;}

  f->cd("dirRich");

  //Rich Cal
  HRichCal* ptlHRichCal = new HRichCal();
  HLinearCategory* catlHRichCal = (HLinearCategory*) gDirectory->Get("HRichCal");


  if(catlHRichCal){
    TBranch* brlHRichCal = T->GetBranch("HRichCal.");
    if(brlHRichCal) brlHRichCal->SetAddress(&catlHRichCal);
		  }

  else
    {
      cout << "No RICHCal category" << endl;
    }

  //Rich Hit
  HRichHit* ptlHRichHit = new HRichHit();
  HLinearCategory* catlHRichHit = (HLinearCategory*) gDirectory->Get("HRichHit");


  if(catlHRichHit){
    TBranch* brlHRichHit = T->GetBranch("HRichHit.");
    if(brlHRichHit) brlHRichHit->SetAddress(&catlHRichHit);
		  }

  else
    {
      cout << "No RICHHit category" << endl;
    }


  //RichDirClus
  HRichDirClus* ptlHRichDirClus = new HRichDirClus();
  HLinearCategory* catlHRichDirClus = (HLinearCategory*) gDirectory->Get("HRichDirClus");


  if(catlHRichDirClus){
    TBranch* brlHRichDirClus = T->GetBranch("HRichDirClus.");
    if(brlHRichDirClus) brlHRichDirClus->SetAddress(&catlHRichDirClus);
		  }

  else
    {
      cout << "No RICHDirClus category" << endl;
    }
  
  if(catlHRichCal)TIterator* iterRichCal = catlHRichCal  ->MakeIterator("native");
  if(catlHRichHit)TIterator* iterRichHit = catlHRichHit  ->MakeIterator("native");
  if(catlHRichDirClus)TIterator* iterRichDirClus = catlHRichDirClus  ->MakeIterator("native");

  cout << "CREATION OF THE OUTPUT FILE" << endl;
  TFile *file1=new TFile("realNoise.root","RECREATE");

  Int_t ientries = T->GetEntries();  // how many events
  cout << ientries << " Events" << endl;
  Int_t nbytes=0;

  Int_t richHits = 0;
  Int_t clusHits = 0;
  Int_t nrevents = 0;
  Int_t nrcal    = 0;

  TH1F *hCharge = new TH1F("hCharge","",1000,0,20);
  TH1F *hCal = new TH1F("hCal","",10,0,10);

  for (Int_t i=0;i<ientries;i++){ 

    nbytes = T->GetEntry(i);
    
    HRichCal*   pObjRichCal = NULL;
    HRichHit*   pObjRichHit = NULL;
    HRichDirClus*   pObjRichDirClus = NULL;
    
    if((i%500)==0){
      cout<<"EVT="<<i<<endl;
    }
    
    
    iterRichCal->Reset();
    iterRichHit->Reset();
    iterRichDirClus->Reset();
    richHits = 0;
    clusHits = 0;
    nrcal = 0;

    if(!findInSwitchedOffSector){
      while( (pObjRichHit=(HRichHit*)iterRichHit->Next())!=0){
	richHits++;
      }
      
      while( (pObjRichDirClus=(HRichDirClus*)iterRichDirClus->Next())!=0){
	clusHits++;
      }
      
      if(clusHits>0) continue;
      if(richHits>0) continue;
    }

    nrevents++;

    while( (pObjRichCal=(HRichCal*)iterRichCal->Next())!=0){
      
      if(findInSwitchedOffSector){
	//skip all sectors with HV switched on to get the noise signal
	if(pObjRichCal->getSector() != switchedOffSector) continue;

	//hot spot in this sector and file 1 -> skip it
	if(pObjRichCal->getRow() == 79 && pObjRichCal->getCol()==18) continue;
      }
      
      hCharge->Fill(pObjRichCal->getCharge());
      nrcal++;
    }
    hCal->Fill(nrcal);
  }

  if(!findInSwitchedOffSector){
    hCal->Scale(1./((Float_t)nrevents*6.));
    hCharge->Scale(1./((Float_t)nrevents*6.));
  }
  else{
    hCal->Scale(1./(Float_t)i);
    hCharge->Scale(1./(Float_t)i);
  }
  file1->cd();
  hCharge->Write();
  hCal->Write();
  file1->Close();

  cout << "Objects written. File closed. " << endl;
}
