//plot the real noise via single cleaned pads
void plotRealNoise(TString inFile, TString outFile){


  gROOT->Reset();

  TChain ch("T");

  TFile* f = TFile::Open(inFile);

  HTree *T = (HTree*)gDirectory->Get("T");
  if(!T) {cout << "No tree in file!" << endl; continue;}

  f->cd("dirRich");

  //Rich Cal
  HRichCal* ptlHRichCal = new HRichCal();
  HLinearCategory* catlHRichCal = (HLinearCategory*) gDirectory->Get("HRichCal");


  if(catlHRichCal){
    TBranch* brlHRichCal = T->GetBranch("HRichCal.");
    if(brlHRichCal) brlHRichCal->SetAddress(&catlHRichCal);
		  }

  else
    {
      cout << "No RICHCal category" << endl;
    }

  
  if(catlHRichCal)TIterator* iterRichCal = catlHRichCal  ->MakeIterator("native");

  TFile *file1=new TFile(outFile,"RECREATE");

  Int_t ientries = T->GetEntries();  // how many events
  cout << ientries << " Events" << endl;
  Int_t nbytes=0;

  Int_t nrevents = 0;
  Int_t nrcal    = 0;

  TH1F *hCharge = new TH1F("hCharge","",1000,0,20);
  TH1F *hCal = new TH1F("hCal","",15,0,15);

  for (Int_t i=0;i<ientries;i++){ 

    nbytes = T->GetEntry(i);
    
    HRichCal*   pObjRichCal = NULL;
    
    if((i%500)==0){
      cout<<"EVT="<<i<<endl;
    }
    
    
    iterRichCal->Reset();
    nrcal = 0;

    nrevents++;

    while( (pObjRichCal=(HRichCal*)iterRichCal->Next())!=0){
 
      if(pObjRichCal->getIsCleanedSingle()!=1) continue; 
 
      hCharge->Fill(pObjRichCal->getCharge());
      nrcal++;
    }
    nrcal/=6.;
    hCal->Fill(nrcal);
  }

  hCal->Scale(1./((Float_t)nrevents));
  hCharge->Scale(1./((Float_t)nrevents*6.));
  
  file1->cd();
  hCharge->Write();
  hCal->Write();
  file1->Close();

  cout << "Objects written. File closed. " << endl;
}
