{

// beamtime btnr

// SEP05    0
// APR06    1
// APR07    2
// SEP08    3

  Int_t btnr = 1;
  Int_t nrfiles[4] = {7,7,5,8}; 

  //different CalPar versions (168, 166, 172, 181, 183, 187, 188) for SEP05
  //Int_t runID[nrfiles[btnr]]={748097066, 354382935, 1660225035, 1575597480, 682238507, 1676913700, 1396144887}; 

  //different CalPar versions (195, 196, 197, 207, 204, 212,219 ) for APR06
  Int_t runID[nrfiles[btnr]]={960280299, 624443677, 1115284524, 1835586619, 493729451, 1281401322, 794946417}; 

  //different CalPar versions (234, 236, 245, 256, 257) for APR07
  //Int_t runID[nrfiles[btnr]]={1540682974, 642764718, 1809505352, 1126632112, 723883628}; 

  //different CalPar versions (262, 263, 265, 266, 268, 269, 270, 271) for APR06
  //Int_t runID[nrfiles[btnr]]={21784434, 22076611, 22160651, 22454830, 22721971,22814833, 22993397, 23696150};


  Hades* myHades=new Hades;
  HRuntimeDb* rtdb=gHades->getRuntimeDb();
  HSpectrometer* spec=gHades->getSetup();

  HRichDetector* rich=new HRichDetector;
  Int_t richMods[1]={1};
  for(Int_t i=0;i<6;i++) rich->setModules(i,richMods);
  spec->addDetector(rich);

  HParOraIo* ora=new HParOraIo;
  cout << "==> Opening ora connection" << endl;
  ora->open();
  if (!ora->check()) {
    printf("no connection to Oracle\n");
    return;
  }
  cout << "==> Connection to ora opened" << endl;
  rtdb->setFirstInput(ora);
  ora->setHistoryDate("now");

  HRichCalPar *pPar = (HRichCalPar*)(rtdb->getContainer("RichCalPar"));
  Int_t nrSec  = pPar->getNSectors();
  Int_t nrRows = pPar->getNRows();
  Int_t nrCols = pPar->getNColumns();
 
  TH2F *hsigma[nrfiles[btnr]];
  TH2F *hmean[nrfiles[btnr]];

  TString name = "";
  TString snbase = "hsigma";
  TString mnbase = "hmean";

  for(Int_t i = 0; i < nrfiles[btnr]; i++){
    name = snbase + i;
    hsigma[i] = new TH2F(name,"",6000,0,60000,1000,0,5);
    name = mnbase + i;
    hmean[i]  = new TH2F(name,"",6000,0,60000,1000,0,800);
  }

  HLocation loc;

  Float_t sigma[nrfiles[btnr]][nrSec][nrRows][nrCols];
  Float_t mean[nrfiles[btnr]][nrSec][nrRows][nrCols];

  Float_t mmean  = 0.0;
  Float_t msigma = 0.0;

  Float_t sigmaThr = 1.0;
  Float_t meanThr  = 50.0;

  Float_t sigmaDiff[nrfiles[btnr]];
  Float_t meanDiff[nrfiles[btnr]];
  for(Int_t i = 0; i < nrfiles[btnr]; i++){
	  
    sigmaDiff[i] = 0.0;
    meanDiff[i]   = 0.0;
    
  }



  for(Int_t i = 0; i < nrfiles[btnr]; i++){
    
    rtdb->initContainers(runID[i]);
    
    for(Int_t sec = 0; sec < nrSec; sec++){
      
      for(Int_t row = 0; row < nrRows; row++){
	for(Int_t col = 0; col < nrCols; col++){
	  
	  loc.set(3, sec, row, col);
	  
	  sigma[i][sec][row][col] = pPar->getSigma(loc);
	  mean[i][sec][row][col]  = pPar->getOffset(loc);
	}
      }
    }
  }

  for(Int_t sec = 0; sec < nrSec; sec++){
    for(Int_t row = 0; row < nrRows; row++){
      for(Int_t col = 0; col < nrCols; col++){
	
	mmean  = 0.0;
	msigma = 0.0;
	
	for(Int_t i = 0; i < nrfiles[btnr]; i++){

	  hsigma[i]->Fill(col + row*100 + sec*10000,sigma[i][sec][row][col]);
	  hmean[i]->Fill(col + row*100 + sec*10000,mean[i][sec][row][col]);
	  
	  msigma += sigma[i][sec][row][col];
	  mmean  += mean[i][sec][row][col];
	  
	}

	msigma/=nrfiles[btnr];
	mmean/=nrfiles[btnr];

	for(Int_t i = 0; i < nrfiles[btnr]; i++){

	  sigmaDiff[i]+=sigma[i][sec][row][col]-msigma;
	  meanDiff[i] +=mean[i][sec][row][col]-mmean;
	  
// 	  if(TMath::Abs(sigma[i][sec][row][col]-msigma)>sigmaThr) cout <<"VERSION "<< i<< "--> sigma in sector "<<sec<<" ,col "<<col<<", row "<<row<<" above threshold! {"<<sigma[i][sec][row][col]<<" "<<msigma<<"}"<<endl;
// 	  if(TMath::Abs(mean[i][sec][row][col]-mmean)>meanThr) cout << "mean in sector "<<sec<<" ,col "<<col<<", row "<<row<<" above threshold!"<<endl;
	  
	}
      }
    }
  }

  for(Int_t i = 0; i < nrfiles[btnr]; i++){
	  
    sigmaDiff[i] /= (nrSec*nrRows*nrCols);
    meanDiff[i]  /= (nrSec*nrRows*nrCols);

    cout<<"VERSION "<< i<<" --> mean sigma difference = "<<sigmaDiff[i]<<endl;
    cout<<"VERSION "<< i<<" --> mean mean difference  = "<<meanDiff[i]<<endl;
    cout<<endl;
    
  }


  TCanvas *c = new TCanvas;
  c->Divide(3,3);
  TCanvas *d = new TCanvas;
  d->Divide(3,3);
  for(Int_t i = 0; i < nrfiles[btnr]; i++){
    c->cd(i+1);
    hsigma[i]->Draw("colz");
    d->cd(i+1);
    hmean[i]->Draw("colz");
  }
  delete myHades;
}
