using namespace std;
#ifndef __CINT__

#include <iostream>
#include "TROOT.h"
#include "hdstsimulation.h"
#include "hdstutilities.h"
#include "hades.h"
#include "hrichtaskset.h"

int main(int argc, char **argv)
{
   TROOT dst_production( "DstProductionApp", "Produce a DST File" );
   //HDstSimulationRichDigi simulation;
   HDstSimulation simulation;
   
   simulation.configure( argc, argv );


#else


void DstSimulation(TString command_line)
{
   int                 argc = 0;
   char**              argv = NULL;
   HDstSimulation simulation;
   //HDstSimulationRichDigi simulation;

   HDstUtilities::str2CmdLineArgs( command_line.Data(), &argc, &argv );
   simulation.configure( argc, argv );
   HDstUtilities::freeCmdLineArgs( argc, argv );
   
   
#endif

   simulation.printConfiguration();
   simulation.setupSpectrometer();
   simulation.setupInput();
   simulation.setupParameterSources();
   //simulation.setupParameterOutput();

   HRichTaskSet*    rich_task_set       = new HRichTaskSet();
   HTaskSet* tasks = gHades->getTaskSet( "simulation" );
   tasks->add( rich_task_set->make( "simulation", "noiseon" ));
   tasks->isTimed( kTRUE );
  
   simulation.initialize();
   simulation.setupOutput();
   simulation.runEventLoop();
   simulation.finalize();
			   
}
