using namespace std;
#ifndef __CINT__

#include <iostream>
#include "TROOT.h"
#include "hdstsimulation.h"
#include "hdstutilities.h"
#include "hdstrealdata.h"
#include "hrichtaskset.h"
#include "hades.h"

int main(int argc, char **argv)
{
   TROOT dst_production( "DstProductionApp", "Produce a DST File" );
   HDstRealData real;
   
   real.configure( argc, argv );


#else


void DstReal(TString command_line)
{
   int                 argc = 0;
   char**              argv = NULL;
   HDstRealData real;

   HDstUtilities::str2CmdLineArgs( command_line.Data(), &argc, &argv );
   real.configure( argc, argv );
   HDstUtilities::freeCmdLineArgs( argc, argv );
   
   
#endif

   real.printConfiguration();
   real.setupSpectrometer();
   real.setupInput();
   real.setupParameterSources();
   //real.setupParameterOutput();

   HRichTaskSet*    rich_task_set     = new HRichTaskSet();


   ////// now link together the task lists

   HTaskSet* tasks = gHades->getTaskSet( "real" );

   tasks->add( rich_task_set->make( "real", "" ) );
   
   // each of the tasks should track its execution time
   tasks->isTimed( kTRUE );
  
   real.initialize();
   real.setupOutput();
   real.runEventLoop();
   real.finalize();
			   
}
