#!/bin/sh
# File: qsubAna
# 
JOBLIMIT=30

export INDIR=/scratch/e12i/hades/simul/richdigi/apr06
export INFILE=be06130013723_geant_em1
export CFGFILE=/home/mweber/hades/digitizer/sim_apr06.cfg
export NREVENTS=0;

NROFFSET=1400;

SNRS=9;
ENRS=9;

offsetS[0]=-0.002
offsetS[1]=-0.002
offsetS[2]=-0.0035
offsetS[3]=-0.0045
offsetS[4]=-0.007
offsetS[5]=+0.0005

stepS=0.0005

offsetE[0]=0.76
offsetE[1]=0.58
offsetE[2]=0.77
offsetE[3]=0.72
offsetE[4]=0.83
offsetE[5]=0.645

stepE=0.005

SCRIPT=/home/mweber/hades/digitizer/runAna_apr06.sh

i=0
while [ $i -lt $JOBLIMIT ]; do
    JOBID[$i]="NULL"
    i=$[i+1]
done

## JOBLIMIT on the base of dependency
i=0
ENR=0
SNR=0

while [ $SNR -lt $SNRS ]; do
    ENR=0
    while [ $ENR -lt $ENRS ]; do

	if [ ${JOBID[$i]} != "NULL" ]; then
	    LIMIT="-W depend=afterany:${JOBID[$i]}"
	else
	    LIMIT=""
	fi
	
	export NR=$((NROFFSET+ENR+SNR*ENRS))
	jobname=digi${NR};
	
	export PARFILE=richpar_${NR}.txt
	j=0
	while [ $j -lt 6 ]; do
	    S[j]=`awk 'BEGIN{printf("%0.6f", '${offsetS[j]}' + '${stepS}' * '${SNR}' )}'` 
	    E[j]=`awk 'BEGIN{printf("%0.6f", '${offsetE[j]}' + '${stepE}' * '${ENR}' )}'` 
	    let j=j+1;
	done
	
	/home/mweber/hades/digitizer/changePar_apr06.sh ${S[0]} ${S[1]} ${S[2]} ${S[3]} ${S[4]} ${S[5]} ${E[0]} ${E[1]} ${E[2]} ${E[3]} ${E[4]} ${E[5]}   > ${INDIR}/${PARFILE}
	
	
	JOBID[$i]=$(qsub  ${SCRIPT} ${LIMIT} -N ${jobname} -q farmq -l nodes=bigmem -V -j oe -o ${INDIR}/digijob_${NR}.out)
	
	echo ${jobname}: ${LIMIT}
	
	let i=i+1;
	if [ $i -ge $JOBLIMIT ]; then
	    i=0
	fi
	
	sleep 1
	
	let ENR=ENR+1;
    done

    let SNR=SNR+1;
done  


