#!/bin/sh
# File: qsubAna
# 
JOBLIMIT=100

export INDIR=/scratch/e12k/hades/simul/richdigi/jan04
export INFILE=white_posi
export CFGFILE=/home/mweber/hades/digitizer/sim_jan04.cfg
export NREVENTS=0;

SCRIPT=/home/mweber/hades/digitizer/runAna_jan04.sh

NROFFSET=995;

SNRS=1;
ENRS=2;

offsetS[0]=-0.002
offsetS[1]=-0.002
offsetS[2]=-0.002
offsetS[3]=+0.008
offsetS[4]=-0.0005
offsetS[5]=-0.001

stepS=0.0005

offsetE[0]=1.040
offsetE[1]=0.810
offsetE[2]=0.920
offsetE[3]=0.830
offsetE[4]=0.950
offsetE[5]=0.850

stepE=0.005


i=0
while [ $i -lt $JOBLIMIT ]; do
    JOBID[$i]="NULL"
    i=$[i+1]
done

## JOBLIMIT on the base of dependency
i=0
ENR=0
SNR=0

while [ $SNR -lt $SNRS ]; do
    ENR=0
    while [ $ENR -lt $ENRS ]; do

	if [ ${JOBID[$i]} != "NULL" ]; then
	    LIMIT="-W depend=afterany:${JOBID[$i]}"
	else
	    LIMIT=""
	fi
	
	#export NR=$((NROFFSET+ENR+SNR*ENRS))
	export NR=$((NROFFSET+ENR))
	jobname=digi${NR};
	
	export PARFILE=richpar_${NR}.txt
	j=0
	while [ $j -lt 6 ]; do
	    S[j]=`awk 'BEGIN{printf("%0.6f", '${offsetS[j]}' + '${stepS}' * '${SNR}' )}'` 
	    E[j]=`awk 'BEGIN{printf("%0.6f", '${offsetE[j]}' + '${stepE}' * '${ENR}' )}'` 
	    let j=j+1;
	done
	
	#/home/mweber/hades/digitizer/changePar_jan04.sh ${S[0]} ${S[1]} ${S[2]} ${S[3]} ${S[4]} ${S[5]} ${E[0]} ${E[1]} ${E[2]} ${E[3]} ${E[4]} ${E[5]}   > ${INDIR}/${PARFILE}
	
	
	JOBID[$i]=$(qsub  ${SCRIPT} ${LIMIT} -N ${jobname} -q farmq -l nodes=cpu -V -j oe -o ${INDIR}/jobs/digijob_${NR}.out)
	
	echo ${jobname}: ${LIMIT}
	
	let i=i+1;
	if [ $i -ge $JOBLIMIT ]; then
	    i=0
	fi
	
	sleep 1
	
	let ENR=ENR+1;
    done

    let SNR=SNR+1;
done  

