#!/bin/sh
# File: qsubAna
# 
JOBLIMIT=30

export INDIR=/scratch/e12i/hades/simul/richdigi/apr07
export OUTDIR=/scratch/e12j/rich/may07
export INFILE=white_dp_ele
export CFGFILE=/home/mweber/hades/digitizer/sim_may07.cfg
export NREVENTS=0;

NROFFSET=500;

SNRS=9;
ENRS=9;

offsetS[0]=-0.0030
offsetS[1]=+0.0030
offsetS[2]=-0.000
offsetS[3]=-0.001
offsetS[4]=-0.0055
offsetS[5]=+0.0000

stepS=0.0005

offsetE[0]=0.855
offsetE[1]=0.585
offsetE[2]=0.795
offsetE[3]=0.725
offsetE[4]=0.855
offsetE[5]=0.690

stepE=0.005

SCRIPT=/home/mweber/hades/digitizer/runAna_may07.sh

i=0
while [ $i -lt $JOBLIMIT ]; do
    JOBID[$i]="NULL"
    i=$[i+1]
done

## JOBLIMIT on the base of dependency
i=0
ENR=0
SNR=0

while [ $SNR -lt $SNRS ]; do
    ENR=0
    while [ $ENR -lt $ENRS ]; do

	if [ ${JOBID[$i]} != "NULL" ]; then
	    LIMIT="-W depend=afterany:${JOBID[$i]}"
	else
	    LIMIT=""
	fi
	
	export NR=$((NROFFSET+ENR+SNR*ENRS))
	jobname=digi${NR};
	
	export PARFILE=richpar_dp_${NR}.txt
	j=0
	while [ $j -lt 6 ]; do
	    S[j]=`awk 'BEGIN{printf("%0.6f", '${offsetS[j]}' + '${stepS}' * '${SNR}' )}'` 
	    E[j]=`awk 'BEGIN{printf("%0.6f", '${offsetE[j]}' + '${stepE}' * '${ENR}' )}'` 
	    let j=j+1;
	done
	
	/home/mweber/hades/digitizer/changePar_apr07.sh ${S[0]} ${S[1]} ${S[2]} ${S[3]} ${S[4]} ${S[5]} ${E[0]} ${E[1]} ${E[2]} ${E[3]} ${E[4]} ${E[5]}   > ${INDIR}/${PARFILE}
	
	
	JOBID[$i]=$(qsub  ${SCRIPT} ${LIMIT} -N ${jobname} -q farmq -l nodes=bigmem -V -j oe -o ${OUTDIR}/dpdigijob_${NR}.out)
	
	echo ${jobname}: ${LIMIT}
	
	let i=i+1;
	if [ $i -ge $JOBLIMIT ]; then
	    i=0
	fi
	
	sleep 1
	
	let ENR=ENR+1;
    done

    let SNR=SNR+1;
done  


