#!/bin/sh
# File: qsubAna
# 
JOBLIMIT=100

export INDIR=/scratch/e12i/hades/simul/richdigi/sep05
export INFILE=be05285224233_ele_geant1
export CFGFILE=/home/mweber/hades/digitizer/sim_sep05.cfg
export NREVENTS=0;

NROFFSET=400;

SNRS=9;
ENRS=9;

offsetS[0]=-0.005
offsetS[1]=-0.0025
offsetS[2]=-0.0015
offsetS[3]=-0.007
offsetS[4]=-0.005
offsetS[5]=-0.001

stepS=0.0005

offsetE[0]=0.745
offsetE[1]=0.545
offsetE[2]=0.655
offsetE[3]=0.570
offsetE[4]=0.635
offsetE[5]=0.595

stepE=0.005

SCRIPT=/home/mweber/hades/digitizer/runAna_sep05.sh

i=0
while [ $i -lt $JOBLIMIT ]; do
    JOBID[$i]="NULL"
    i=$[i+1]
done

## JOBLIMIT on the base of dependency
i=0
ENR=0
SNR=0

while [ $SNR -lt $SNRS ]; do
    ENR=0
    while [ $ENR -lt $ENRS ]; do

	if [ ${JOBID[$i]} != "NULL" ]; then
	    LIMIT="-W depend=afterany:${JOBID[$i]}"
	else
	    LIMIT=""
	fi
	
	export NR=$((NROFFSET+ENR+SNR*ENRS))
	jobname=digi${NR};

	export PARFILE=richpar_${NR}.txt
	j=0
	while [ $j -lt 6 ]; do
	    S[j]=`awk 'BEGIN{printf("%0.6f", '${offsetS[j]}' + '${stepS}' * '${SNR}' )}'` 
	    E[j]=`awk 'BEGIN{printf("%0.6f", '${offsetE[j]}' + '${stepE}' * '${ENR}' )}'` 
	    let j=j+1;
	done
	
	/home/mweber/hades/digitizer/changePar_sep05.sh ${S[0]} ${S[1]} ${S[2]} ${S[3]} ${S[4]} ${S[5]} ${E[0]} ${E[1]} ${E[2]} ${E[3]} ${E[4]} ${E[5]}   > ${INDIR}/${PARFILE}
	
	
	JOBID[$i]=$(qsub  ${SCRIPT} ${LIMIT} -N ${jobname} -q farmq -l nodes=cpu -V -j oe -o ${INDIR}/digijob_${NR}.out)
	
	echo ${jobname}: ${LIMIT}
	
	let i=i+1;
	if [ $i -ge $JOBLIMIT ]; then
	    i=0
	fi
	
	sleep 1
	
	let ENR=ENR+1;
    done

    let SNR=SNR+1;
done  


